[Date Prev][Date Next]   [Thread Prev][Thread Next]   [Thread Index] [Date Index] [Author Index]

Re: [Ovirt-devel] Re: blocked on virt-viewer in Ovirt install preparation



Guo Lian Yun wrote:

Guo Lian Yun/China/IBM wrote on 2008-08-05 17:15:41:

 > Hi,
 >
> I try to install Ovirt on Fedora 9, but block on virt-viewer installation.
 >
 > The other dependency packages are installed successfully. Here is
 > the version of them:
 >
 > Kernel-2.6.25-0.218.rc8.git7.fc9.x86_64
 >
 > kvm-65-1.fc9.x86_64
 >
 > libvirt-0.4.3 (installed manually in /usr dir)

  I try to install it as default dir of /usr/local, but still fails for me.
  Is the environment variables LIBVIRT_CFLAGS and LIBVIRT_LIBS have to set?

You need to use libvirt from the RPM packages provided by Fedora. If you don't install libvirt as an RPM then you will break dependencies for all other packages that are dependent on libvirt. If you do:

yum install libvirt libvirt-devel

You'll get the latest version of libvirt installed and then you can run:

yum install virt-viewer

And things should work fine.

We don't support using oVirt in the way you're using it as all of our scripts assume that yum/rpm is being used to manage the various packages.

Perry


[Date Prev][Date Next]   [Thread Prev][Thread Next]   [Thread Index] [Date Index] [Author Index]